<html>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="http://code.jquery.com/mobile/1.4.5/jquery.mobile-1.4.5.min.css" />
	<script src="http://code.jquery.com/jquery-1.11.1.min.js"></script>
	<script src="http://code.jquery.com/mobile/1.4.5/jquery.mobile-1.4.5.min.js"></script>
	<body>
	<div class="ui-bar ui-header-fixed close wHide headerSmallClose" data-position="fixed">
		<div class='backBtn'>
		</div>
		<div class='xBtn'>
		</div>
	</div>
	<link rel="stylesheet" href="css/mobile.css">
		<div id="idPageLogin" data-role="page" data-quicklinks="true" data-url="idPageLogin" tabindex="0" class="ui-page ui-page-theme-a" style="min-height: 595px;">
			<div class="welcome">W E L C O M E</div>
			<div class="login">
				<div class="login_box text37">
					<div class="top">
						<div class="ui-input-text ui-body-inherit ui-corner-all ui-shadow-inset"><input type="text" name="userid" placeholder="Email"></div>
					</div>
					<div class="bottom">
						<div class="ui-input-text ui-body-inherit ui-corner-all ui-shadow-inset"><input type="password" name="userpassword" placeholder="Password"></div>
					</div>

				</div>
				<div class="long-btn">L o g i n</div>
			</div>
		</div>
		<div id="idPageQuestion" class="" data-role="page" data-quicklinks="true" data-url="idPageQuestion" tabindex="0" class="ui-page ui-page-theme-a" style="min-height: 595px;">
			<div class="q-box">
				<fieldset>
					<legend>공민왕의 업적은 무엇인가요?</legend>
					<input type="checkbox" name="s1" id="s1" value="s1" /><label for="s1">수능</label><br />
					<input type="checkbox" name="s2" id="s2" value="s2" /><label for="s2">전쟁</label><br />
					<input type="checkbox" name="s3" id="s3" value="s3" /><label for="s3">정치</label><br />
					<input type="checkbox" name="s4" id="s4" value="s4" /><label for="s4">경제</label><br />
					<input type="checkbox" name="s5" id="s5" value="s5" /><label for="s5">복지</label><br />
				</fieldset>
				<div class="long-btn">제출</div>
			</div>
		</div>
		<div id="idPageQlist" class="" data-role="page" data-quicklinks="true" data-url="idPageQlist" tabindex="1" class="ui-page ui-page-theme-a" style="min-height: 595px;">
			<div class= "big-box">
				<div class="left">
					<div class="top">문제 1번
					</div>
					<div class="bottom">객관식
					</div>
				</div>
				<div class="right">
					<div class="top">5분 전
					</div>
					<div class="bottom">미제출
					</div>
				</div>
			</div>
			<div class= "big-box">
				<div class="left">
					<div class="top">문제 1번
					</div>
					<div class="bottom">객관식
					</div>
				</div>
				<div class="right">
					<div class="top">5분 전
					</div>
					<div class="bottom">미제출
					</div>
				</div>
			</div>
			<div class= "big-box">
				<div class="left">
					<div class="top">문제 1번
					</div>
					<div class="bottom">객관식
					</div>
				</div>
				<div class="right">
					<div class="top">5분 전
					</div>
					<div class="bottom">미제출
					</div>
				</div>
			</div>
			<div class= "big-box">
				<div class="left">
					<div class="top">문제 1번
					</div>
					<div class="bottom">객관식
					</div>
				</div>
				<div class="right">
					<div class="top">5분 전
					</div>
					<div class="bottom">미제출
					</div>
				</div>
			</div>
		</div>
		<div id="idPageLlist" class="" data-role="page" data-quicklinks="true" data-url="idPageLlist" tabindex="1" class="ui-page ui-page-theme-a" style="min-height: 595px;">
			<div class= "big-box">
				<div class="left">
					<div class="top">한국사 특강 <상>
					</div>
					<div class="bottom">첫번째 강의
					</div>
				</div>
				<div class="right">
					<div class="top">강의 시작시간 
					</div>
					<div class="bottom">2018-04-01 14:21:58
					</div>
				</div>
			</div>
			<div class= "big-box">
				<div class="left">
					<div class="top">한국사 특강 <상>
					</div>
					<div class="bottom">첫번째 강의
					</div>
				</div>
				<div class="right">
					<div class="top">강의 시작시간 
					</div>
					<div class="bottom">2018-04-01 14:21:58
					</div>
				</div>
			</div>
			<div class= "big-box">
				<div class="left">
					<div class="top">한국사 특강 <상>
					</div>
					<div class="bottom">첫번째 강의
					</div>
				</div>
				<div class="right">
					<div class="top">강의 시작시간 
					</div>
					<div class="bottom">2018-04-01 14:21:58
					</div>
				</div>
			</div>
			<div class= "big-box">
				<div class="left">
					<div class="top">한국사 특강 <상>
					</div>
					<div class="bottom">첫번째 강의
					</div>
				</div>
				<div class="right">
					<div class="top">강의 시작시간 
					</div>
					<div class="bottom">2018-04-01 14:21:58
					</div>
				</div>
			</div>
		</div>
		
	</body>
	<script>
		loadPageLogin()
		loadPageQlist()
		loadPageLlist()
		loadPageQuestion()
		$('.backBtn').unbind('click').click(function(){
		gotoBack();
		})
		$('.xBtn').unbind('click').click(function(){
		logOut();
		})
		function logOut()
		{
			window.localStorage.setItem('jwt', null)
			changePage('#idPageLogin')
		}
		function changePage(pageId)
		{
			//$(pageId).removeClass('hide')
			//$('#' + $.mobile.activePage.attr('id')).addClass('hide')
			$.mobile.pageContainer.pagecontainer("change", pageId, { transition: "fade", changeHash: true });
		}
		function gotoBack()
		{
			$.mobile.back();
		}
		function loadPageLogin()
		{	
			var selector = "#idPageLogin";
			var page = $(selector);
			page.on('pagebeforeshow',
			function(e,d){
				if(typeof window.localStorage.getItem('jwt')!='undefined' && window.localStorage.getItem('jwt')!='null')
				{
					changePage('#idPageLlist')
				}
				function login(id, pass)
				{
					var params = {
						'email_id': id,
						'password': pass
					};
					$.post('http://13.124.236.81:8000/auth/login', params, function(data){
						jwtTaker(data);
					}); 
				}
				function jwtTaker(data)
				{
					var jwt = data.token;
					window.localStorage.setItem('jwt', jwt);
					changePage('#idPageLlist')
					
				}
				$('#idPageLogin .long-btn').unbind('click').click(function(){
					login($('[name=userid]').val(),$('[name=userpassword]').val())
					}
				)
			
			});
		}
		function loadPageQlist()
		{
			var selector = "#idPageQlist";
			var page = $(selector);
			page.on('pagebeforeshow',
			function(e,d){
				var page = $(e.target);
				page.find('.big-box').unbind('click').click(function(){
					changePage('#idPageQuestion')
				})
			
			});
		}
		function loadPageQuestion()
		{
			var selector = "#idPageQlist";
			var page = $(selector);
			page.on('pagebeforeshow',
			function(e,d){
				
			
			});
		}
		function loadPageLlist()
		{
			var selector = "#idPageLlist";
			var page = $(selector);
			page.on('pagebeforeshow',
			function(e,d){
				var page = $(e.target);
				page.find('.big-box').unbind('click').click(function(){
					changePage('#idPageQlist')
				})
				/*$.get('http://13.124.236.81:8000/lectures/activate_lecture', params, function(data){
					jwtTaker(data);
				});*/ 
			
			});
		}
	</script>
</html>